resources:
- type: compute.v1.instance
  name: vm-created-by-cloud-config-{{ params["deployment"] }}
  properties:
    zone: test-zone
    machineType: https://www.googleapis.com/compute/v1/projects/test-project/zones/test-zone/machineTypes/f1-micro
    disks:
    - deviceName: boot
      type: PERSISTENT
      boot: true
      autoDelete: true
      initializeParams:
        diskName: disk-created-by-cloud-config-test-deployment
        sourceImage: https://www.googleapis.com/compute/v1/projects/debian-cloud/global/images/debian-7-wheezy-v20140619
    networkInterfaces:
    - network: https://www.googleapis.com/compute/v1/projects/test-project/global/networks/default


